using System.Xml.Serialization;

namespace Domain.XML_Model
{
    [Serializable]
    [XmlRoot(ElementName = "type_noms")]
    public class TypeName : BaseEntity
    {

        [XmlAttribute(AttributeName = "id")]
        public string Id { get; set; }

        [XmlAttribute(AttributeName = "nom")]
        public string? Nom { get; set; }

        [XmlAttribute(AttributeName = "type_nom")]
        public string? TypeNom { get; set; }

        [XmlAttribute(AttributeName = "genre")]
        public string? Genre { get; set; }

        [XmlAttribute(AttributeName = "seuil_min")]
        public int SeuilMin { get; set; }

        [XmlAttribute(AttributeName = "seuil_max")]
        public int SeuilMax { get; set; }
        [XmlIgnore]
        public int TypeNomId { get; set; }
    }


}
